Configurator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.Configurator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui
Class Configurator

    java.lang.Object
      org.hyperic.hq.ui.Configurator

All Implemented Interfaces:
  java.util.EventListener, javax.servlet.ServletContextListener

    public class Configurator

extends java.lang.Object
implements javax.servlet.ServletContextListener

A class that loads the application properties file (found at `/WEB-INF/hq.properties`) and configures the web application. All properties in the file are exposed as servlet context attributes.

Constructor Summary
`Configurator()`

Method Summary
`void` | `contextDestroyed(javax.servlet.ServletContextEvent sce)` Respond to the context destroyed container event by doing nothing.
`void` | `contextInitialized(javax.servlet.ServletContextEvent sce)` Respond to the context initialized container event by loading the application properties file and the portals definition file.
`protected java.lang.String` | `getPreferenceFile()`
`protected java.lang.String` | `getRoleDashboardPreferenceFile()`
`protected java.lang.String` | `getUserDashboardPreferenceFile()`
`void` | `loadConfig(javax.servlet.ServletContext ctx)` Load the application properties file (found at `/WEB-INF/hq.properties`) and configure the web application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator

    public Configurator()

Method Detail

### getPreferenceFile

    protected java.lang.String getPreferenceFile()

### getRoleDashboardPreferenceFile

    protected java.lang.String getRoleDashboardPreferenceFile()

### getUserDashboardPreferenceFile

    protected java.lang.String getUserDashboardPreferenceFile()

### contextInitialized

    public void contextInitialized(javax.servlet.ServletContextEvent sce)

  Respond to the context initialized container event by loading the application properties file and the portals definition file.

  Specified by:
    `contextInitialized` in interface `javax.servlet.ServletContextListener`

### contextDestroyed

    public void contextDestroyed(javax.servlet.ServletContextEvent sce)

  Respond to the context destroyed container event by doing nothing.

  Specified by:
    `contextDestroyed` in interface `javax.servlet.ServletContextListener`

### loadConfig

    public void loadConfig(javax.servlet.ServletContext ctx)

  Load the application properties file (found at `/WEB-INF/hq.properties`) and configure the web application. All properties in the file are exposed as servlet context attributes.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.